#include <bits/stdc++.h>
using namespace std;

vector<int> coord;

int main() {

    string s;
    long long q,l,r,res;

    cin>>s;
    cin>>q;

   
    
    for(int i=s.size()-1;i>0;i--){
        if(int(s[i])<int(s[i-1])){
            coord.push_back(i);
        } 

    }

    coord.push_back(0);

    
    for(int i=0;i<q;i++){
        cin>>l>>r;
        res=1;
        
        for(int i=0;i<coord.size();i++){
            if(coord[i]>l-1 && coord[i]<r) res++;
        }
        
        

        //if(s[l-1]=='*') res--;

        cout<<res<<endl;
    }

}